## com.ibm.lab.soln.editor.ui.wizards
Class MiniSpreadsheetWizardNewFileCreationPage

    java.lang.Object
      |
      +--org.eclipse.jface.dialogs.DialogPage
            |
            +--org.eclipse.jface.wizard.WizardPage
                  |
                  +--org.eclipse.ui.dialogs.WizardNewFileCreationPage
                        |
                        +--com.ibm.lab.soln.editor.ui.wizards.MiniSpreadsheetWizardNewFileCreationPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.widgets.Listener

public class MiniSpreadsheetWizardNewFileCreationPage
extends org.eclipse.ui.dialogs.WizardNewFileCreationPage

Add dimensions [rows, columns] to the standard `WizardNewFileCreationPage`.

See Also:
  `WizardNewFileCreationPage`

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`MiniSpreadsheetWizardNewFileCreationPage(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`boolean` | `finish()`
`protected java.io.InputStream` | `getInitialContents()`
`void` | `handleEvent(org.eclipse.swt.widgets.Event event)`

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createFile, createFileHandle, createNewFile, getContainerFullPath, getFileName, getNewFileLabel, initialPopulateContainerNameField, setContainerFullPath, setFileName, setVisible, validatePage`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### MiniSpreadsheetWizardNewFileCreationPage

    public MiniSpreadsheetWizardNewFileCreationPage(org.eclipse.ui.IWorkbench workbench,
                                                    org.eclipse.jface.viewers.IStructuredSelection selection)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`

### finish

    public boolean finish()

### getInitialContents

    protected java.io.InputStream getInitialContents()

  Overrides:
    `getInitialContents` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)

  Specified by:
    `handleEvent` in interface `org.eclipse.swt.widgets.Listener`
  Overrides:
    `handleEvent` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`